The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [Проследить за развитием треда]

"Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 13:16 
Выполняю скрипт ./configure с нужными мне параметрами
потом соответственно make
в процессе компиляния случается следующий затык -

/src/httpd-2.2.6/srclib/apr/libtool --silent --mode=link gcc -g -O2        -o htpasswd  htpasswd.lo   -lm /src/httpd-2.2.6/srclib/pcre/libpcre.la /src/httpd-2.2.6/srclib/apr-util/libaprutil-1.la -lexpat -liconv /src/httpd-2.2.6/srclib/apr/libapr-1.la -lcrypt -lpthread
/usr/bin/ld: cannot find -lexpat
*** Error code 1

Stop in /src/httpd-2.2.6/support.
*** Error code 1

Stop in /src/httpd-2.2.6/support.
*** Error code 1

Stop in /src/httpd-2.2.6.

помогите кто чем може)))

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от GloryS (??) on 30-Ноя-07, 13:20 
>[оверквотинг удален]
>
>Stop in /src/httpd-2.2.6/support.
>*** Error code 1
>
>Stop in /src/httpd-2.2.6/support.
>*** Error code 1
>
>Stop in /src/httpd-2.2.6.
>
>помогите кто чем може)))

cd /usr/ports ; make search name=expat
и ставь expat2

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от newser (ok) on 30-Ноя-07, 13:29 
>[оверквотинг удален]
>
>Stop in /src/httpd-2.2.6/support.
>*** Error code 1
>
>Stop in /src/httpd-2.2.6/support.
>*** Error code 1
>
>Stop in /src/httpd-2.2.6.
>
>помогите кто чем може)))

Поставьте apache из портов.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 14:26 
Из портов ставить не могу - так как машина с фрёй к инету не подключена и не планируется.
expat2 - уже стоит - проверил методом скачивания пакаджа expat2 и попытки его установить - пишет что package 'expat-2.0.0_1' or its older version already installed

Встречный вопрос(я фрю ток недавно начал осваивать - как просмотреть все пакаджи - которые поставлены?)

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от SubGun (ok) on 30-Ноя-07, 14:34 
pkg_info
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 14:50 
спасибо.

но

expat-2.0.0_1 в системе установлен.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 14:52 
>спасибо.
>
>но
>
>expat-2.0.0_1 в системе установлен.

глянул от каких пакаджей он зависит(эти версии стоят в системе)

p5-XML-Parser-2.34_2
fontconfig-2.3.2_6,1
bitstream-vera-1.10_2
xorg-libraries-6.9.0
cairo-1.2.4
libXft-2.1.7_1
xorg-fonts-truetype-6.9.0
pango-1.14.7
gtk-2.10.6_2
libglade2-2.6.0_2


можт их пообновлять?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от SubGun (ok) on 30-Ноя-07, 15:17 
То, что вы делаете, называется установкой из сырцов, а не пакетов. Неплохо было бы почитать: http://www.freebsd.org/doc/ru_RU.KOI8-R/books/handbook/packages-using.html
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 15:38 
Я понимаю что из сырцов.
В начала темы это было описано.
Возникла проблема и мне посоветовали поставить пакет expat-2.0.0_1 но он у меня уже есть и проблема остается та же.

По прежнему жду помощи

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от newser (ok) on 30-Ноя-07, 15:45 
>Я понимаю что из сырцов.
>В начала темы это было описано.
>Возникла проблема и мне посоветовали поставить пакет expat-2.0.0_1 но он у меня
>уже есть и проблема остается та же.
>
>По прежнему жду помощи

Ещё раз: поставьте из портов или пакетов. Случай с машиной, не подключенной к Интернету, описывался здесь неоднократно. Воспользуйтесь поиском.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "Косяки с httpd 2.2.6 на FreeBSD 6.2-RELEASE"  
Сообщение от Руслан email on 30-Ноя-07, 16:30 
>>Я понимаю что из сырцов.
>>В начала темы это было описано.
>>Возникла проблема и мне посоветовали поставить пакет expat-2.0.0_1 но он у меня
>>уже есть и проблема остается та же.
>>
>>По прежнему жду помощи
>
>Ещё раз: поставьте из портов или пакетов. Случай с машиной, не подключенной
>к Интернету, описывался здесь неоднократно. Воспользуйтесь поиском.

спасибо

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2023 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру